Option Explicit On
Option Strict On

Imports System.Text
Imports System.Windows.Forms
Imports Microsoft.VisualBasic.ControlChars

''' <summary>
''' Kleines Form, um mit den Konvertierungs-Funktionen Convert.ToBase64String() 
''' und Convert.FromBase64String() experimentieren zu knnen
''' </summary>
Public Class frmBase64
    Private Sub frmBase64_Load(ByVal sender As Object, _
        ByVal e As EventArgs) Handles MyBase.Load

        FillGrid(New Byte() {152, 0, 7, 99, 51, 255})
    End Sub

    Private Sub FillGrid(ByVal Bytes As Byte())
        Me.DataGridView1.RowCount = Bytes.Length + 1
        For I As Integer = 0 To Bytes.Length - 1
            Me.DataGridView1(0, I).Value = Bytes(I)
        Next
    End Sub

    Private Sub btToBase64_Click(ByVal sender As Object, _
        ByVal e As EventArgs) Handles btToBase64.Click

        Dim Bytes(DataGridView1.RowCount - 2) As Byte
        Dim I As Integer

        Try
            For I = 0 To Bytes.Length - 1
                Bytes(I) = CByte(Me.DataGridView1(0, I).Value)
            Next
            RichTextBox1.Text = Convert.ToBase64String(Bytes)
        Catch ex As Exception
            MsgBox(String.Concat("Eingabe-Fehler in Zeile ", _
                I + 1, ":", Lf, ex.Message))
        End Try
    End Sub

    Private Sub btToBytes_Click(ByVal sender As Object, _
        ByVal e As EventArgs) Handles btToBytes.Click

        Try
            Dim Bytes As Byte() = Convert.FromBase64String(RichTextBox1.Text)
            FillGrid(Bytes)
        Catch ex As Exception
            MsgBox(String.Concat("Eingabe-Fehler in Textbox:", Lf, ex.Message))
        End Try
    End Sub
End Class
